#pragma once
#include <PSX/File/cd_file_types.hpp>

namespace BIOSInfo {
    void main();
}

namespace ControllerTest {
    extern const volatile JabyEngine::AutoLBAEntry lba[];
    extern                JabyEngine::CDFile       Assets[1];

    void main();
}

namespace GPUTest {
    extern const volatile JabyEngine::AutoLBAEntry lba[];
    extern                JabyEngine::CDFile       Assets[2];
    extern                JabyEngine::CDFile       LargeAssets[36];

    void main();
}

namespace GTETest {
    extern const volatile JabyEngine::AutoLBAEntry lba[];
    extern                JabyEngine::CDFile       Assets[1];

    void main();
}

namespace FontCycler {
    void main();
}

namespace ScreenCenter {
    extern const volatile JabyEngine::AutoLBAEntry lba[];
    extern                JabyEngine::CDFile       Assets[1];
    void main();
}